FonctionsClient.c File Reference

fichier.c qui contient toutes les fonctions concernant le client. More...

`#include "FonctionsClient.h"`
`#include "FonctionsResponsable.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
Include dependency graph for FonctionsClient.c:

## Functions

float | initClient (float *chargeV, int *codeC, float *cagnotte)
| Demande a l'utilisateur son code client ainsi que la charge et le volume de son véhicule. La fonction charge également la cagnotte du client. More...
int | ajoutPanier (int TrefC[], int TquanC[], int nArticle, int Tref[], int n)
| Demande un article a l'utilisateur puis l'ajoute au panier. More...
void | affichPanier (int TrefC[], int TquanC[], int nArticle, int Tref[], float Tpoid[], float Tvolume[], float Tprix[], float chargeV, float volV, int n, float cagnotteC)
| Affiche le panier actuel du client. More...
void | ModifArticlePanier (int TrefC[], int TquanC[], int nArticle, int Tref[], int n)
| Demande un article au client puis le modifie sa quantité. More...
int | SupprArticlePanier (int TrefC[], int TquanC[], int nArticle, int Tref[], int n)
| Demande un article au client puis le supprime du panier. More...
int | ResetPanier (int TrefC[], int TquanC[], int nArticle)
| Réinitialise le panier du client. More...
int | posRefC (int TrefC[], int n, int refR, int nArticle, int Tref[])
| Recherche la position de nArticle dans le tableau TrefC. More...

## Detailed Description

fichier.c qui contient toutes les fonctions concernant le client.

Author
  BARDET Ange & Mathis CHIRAT

Date
  20 oct 2023

## Function Documentation

## affichPanier()

void affichPanier | ( | int | TrefC[],
|  | int | TquanC[],
|  | int | nArticle,
|  | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | float | chargeV,
|  | float | volV,
|  | int | n,
|  | float | cagnotteC
| ) |  |

Affiche le panier actuel du client.

Parameters

  [in] | TrefC | tableau d'entier, articles dans le panier client.
  [in] | TquanC | tableau d'entier, quantités dans le panier client.
  [in] | nArticle | entier, taille logique des tableaux concernant le panier.
  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | Tpoid | tableau d'entier, poids des produits.
  [in] | Tvolume | tableau d'entier, volumes des produits.
  [in] | Tprix | tableau d'entier, prix des produits.
  [in] | chargeV | flottant, la charge totale du véhicule du client (en kg).
  [in] | volV | flottant, le volume (en L) du coffre du véhicule du client.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  Rien

## ajoutPanier()

int ajoutPanier | ( | int | TrefC[],
|  | int | TquanC[],
|  | int | nArticle,
|  | int | Tref[],
|  | int | n
| ) |  |

Demande un article a l'utilisateur puis l'ajoute au panier.

Parameters

  [in,out] | TrefC | tableau d'entier, articles dans le panier client.
  [out] | TquanC | tableau d'entier, quantités dans le panier client.
  [in,out] | nArticle | entier, taille logique des tableaux concernant le panier.
  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  entier, nombre d'article + 1.

## initClient()

float initClient | ( | float * | chargeV,
|  | int * | codeC,
|  | float * | cagnotte
| ) |  |

Demande a l'utilisateur son code client ainsi que la charge et le volume de son véhicule. La fonction charge également la cagnotte du client.

Parameters

  [in,out] | chargeV | pointeur vers flottant, la charge totale du véhicule du client (en kg).
  [in,out] | codeC | pointeur vers entier, le code qui permet d'identifier le client.

Returns
  flottant, le volume (en L) du coffre du véhicule du client.

## ModifArticlePanier()

void ModifArticlePanier | ( | int | TrefC[],
|  | int | TquanC[],
|  | int | nArticle,
|  | int | Tref[],
|  | int | n
| ) |  |

Demande un article au client puis le modifie sa quantité.

Parameters

  [in] | TrefC | tableau d'entier, articles dans le panier client.
  [out] | TquanC | tableau d'entier, quantités dans le panier client.
  [in] | nArticle | entier, taille logique des tableaux concernant le panier.
  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  Rien

## posRefC()

int posRefC | ( | int | TrefC[],
|  | int | n,
|  | int | refR,
|  | int | nArticle,
|  | int | Tref[]
| ) |  |

Recherche la position de nArticle dans le tableau TrefC.

Parameters

  [in] | TrefC | tableau d'entier, articles dans le panier client.
  [in] | n | entier, taille logique des tableaux concernant les produits.
  [in] | refR | entier, réfèrence recherché dans le tableau référence.
  [in] | nArticle | entier, taille logique des tableaux concernant le panier.
  [in] | Tref | tableau d'entier, réfèrences des produits.

Returns
  entier, position de la réfèrence recherché.

## ResetPanier()

int ResetPanier | ( | int | TrefC[],
|  | int | TquanC[],
|  | int | nArticle
| ) |  |

Réinitialise le panier du client.

Parameters

  [out] | TrefC | tableau d'entier, articles dans le panier client.
  [out] | TquanC | tableau d'entier, quantités dans le panier client.
  [in] | nArticle | entier, taille logique des tableaux concernant le panier.

Returns
  entier, taille logique des tableaux concernant le panier.

## SupprArticlePanier()

int SupprArticlePanier | ( | int | TrefC[],
|  | int | TquanC[],
|  | int | nArticle,
|  | int | Tref[],
|  | int | n
| ) |  |

Demande un article au client puis le supprime du panier.

Parameters

  [in,out] | TrefC | tableau d'entier, articles dans le panier client.
  [out] | TquanC | tableau d'entier, quantités dans le panier client.
  [in] | nArticle | entier, taille logique des tableaux concernant le panier.
  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  entier, taille logique des tableaux concernant le panier -1.